package cn.com.countrygarden.bi.main.service.manager.map;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.manager.map.ManagerMapCache;

import java.util.List;

/**
 * 管家地图数据缓存-业务逻辑层
 *
 * @author 李森林
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-11-19
 */
public interface ManagerMapCacheService {

    Result queryPageList(ManagerMapCache managerMapCache,String userCode, int page, int size);

    Result queryById(Integer id);

    Result add(ManagerMapCache managerMapCache, AccessToken accessToken);

    Result edit(ManagerMapCache managerMapCache, AccessToken accessToken);

    Result del(Integer id);

    boolean saveList(List<ManagerMapCache> recordList);

    List<ManagerMapCache> queryManagerMapExcelList(ManagerMapCache managerMapCache,String userCode);

}